Automatic import for version 2.1.9

This commit is contained in:
Rosa 2012-02-01 21:03:24 +04:00
commit 3b4e037f82
3 changed files with 294 additions and 0 deletions

2
.abf.yml Normal file
View file

@ -0,0 +1,2 @@
sources:
"FusionInventory-Agent-2.1.9.tar.gz": 01e14f27f5c4339abc71338203b2308cf3af7968

152
fusioninventory-agent.init Executable file
View file

@ -0,0 +1,152 @@
#! /bin/sh
### BEGIN INIT INFO
# Provides: fusioninventory-agent
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: FusionInventory Agent
# Description: This script launch FusionInventory Agent as daemon
### END INIT INFO
# Author: Gonéri Le Bouder <goneri@rulezlan.org>
#
# Do NOT "set -e"
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="FusionInventory Agent"
NAME=fusioninventory-agent
DAEMON=/usr/sbin/$NAME
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/sysconfig/$NAME ] && . /etc/sysconfig/$NAME
DAEMON_ARGS="-d -s $SERVER"
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
exit 3
;;
esac
:

140
fusioninventory-agent.spec Normal file
View file

@ -0,0 +1,140 @@
Name: fusioninventory-agent
Version: 2.1.9
Release: %mkrel 1
Summary: Linux agent for OCSNG
License: GPL
Group: System/Servers
URL: http://fusioninventory.org/wordpress/
Source0: http://search.cpan.org/CPAN/authors/id/F/FU/FUSINV/FusionInventory-Agent-%{version}.tar.gz
Source1: %{name}.init
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}
%description
FusionInventory-Agent is an agent for OCS NG & GLPI.
%prep
%setup -q -n FusionInventory-Agent-%{version}
%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
%install
rm -rf %{buildroot}
rm -f run-postinst
%makeinstall_std
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent <<EOF
#!/bin/sh
%{_bindir}/fusioninventory-agent > /dev/null 2>&1
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/fusioninventory-agent <<EOF
%{_localstatedir}/log/%{name}/*.log {
compress
notifempty
missingok
}
EOF
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/fusioninventory-agent <<EOF
SERVER="localhost"
EOF
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/fusioninventory-agent
install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}
%clean
rm -rf %{buildroot}
%files
%defattr(-,root,root)
%doc AUTHORS Changes THANKS LICENSE
%{_bindir}/fusioninventory-agent
%{_bindir}/fusioninventory-agent-config
%{_bindir}/fusioninventory-injector
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/FusionInventory
%{perl_vendorlib}/auto/share/dist/FusionInventory-Agent
%{_localstatedir}/log/fusioninventory-agent
%{_localstatedir}/lib/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/sysconfig/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/logrotate.d/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/cron.daily/fusioninventory-agent
%{_initrddir}/fusioninventory-agent
%changelog
* Wed Jun 15 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.9-1mdv2011.0
+ Revision: 685287
- update to new version 2.1.9
* Mon Mar 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.8-1
+ Revision: 648671
- update to new version 2.1.8
* Mon Dec 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7-1mdv2011.0
+ Revision: 620627
- new version
* Wed Oct 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.6-1mdv2011.0
+ Revision: 583896
- update to new version 2.1.6
* Thu Sep 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.5-1mdv2011.0
+ Revision: 580709
- update to new version 2.1.5
* Wed Sep 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.4-1mdv2011.0
+ Revision: 578504
- update to new version 2.1.4
* Sun Sep 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2011.0
+ Revision: 576169
- update to new version 2.1.3
* Mon Aug 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 572506
- update to new version 2.1.2
* Wed Aug 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2011.0
+ Revision: 571246
- new version
* Sun Aug 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdv2011.0
+ Revision: 570260
- new version
* Thu Aug 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc3.2mdv2011.0
+ Revision: 566248
- add data storage directory
* Mon Jul 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc3.1mdv2011.0
+ Revision: 560889
- new pre-version
* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc2.1mdv2011.0
+ Revision: 554587
- new version
- patch2: don't run fdisk on cdrom devices
- new version
- port some patches from ocs-agent
* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2010.1
+ Revision: 540674
- import fusioninventory-agent
* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2010.1
- initial mdv release